Skip to main content
`Ctrl`+`K`

# MatStashGetInfo

Gets how many values are currently in the matrix stash, i.e. need to be communicated to other processors during the `MatAssemblyBegin()`/`MatAssemblyEnd()` process

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatStashGetInfo(Mat mat, PetscInt *nstash, PetscInt *reallocs, PetscInt *bnstash, PetscInt *breallocs)

Not Collective

## Input Parameter

- mat - the matrix

## Output Parameters

- nstash - the size of the stash

- reallocs - the number of additional mallocs incurred.

- bnstash - the size of the block stash

- breallocs - the number of additional mallocs incurred.in the block stash

## See Also

Matrices, `MatAssemblyBegin()`, `MatAssemblyEnd()`, `Mat`, `MatStashSetInitialSize()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages